# $Revision: 1.37 $, $Date: 2007/07/12 17:59:43 $
Summary:	The NTFS driver with read and write support
Summary(pl.UTF-8):	Sterownik do NTFS umożliwiający odczyt i zapis
Name:		ntfs-3g
Version:	1.710
Release:	1
Epoch:		1
License:	GPL
Group:		Applications/System
Source0:	http://www.ntfs-3g.org/%{name}-%{version}.tgz
# Source0-md5:	d42e8d59daca61f5725ea97a08a12142
URL:		http://www.ntfs-3g.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libfuse-devel >= 2.6.0
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The driver to NTFS with read and write support. It is able to
unlimited and fully save file creation and deletion.

%description -l pl.UTF-8
Sterownik do systemu plików NTFS posiadający możliwość zarówno odczytu
jak i zapisu. Umożliwia tworzenie i kasowanie plików nieograniczoną
liczbę razy.

%package devel
Summary:	Header files for libntfs-3g library
Summary(pl.UTF-8):	Pliki nagłówkowe dla biblioteki libntfs-3g
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
This package includes the header files needed to link software with
libnfts-3g libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do budowania programów korzystających z
bibliotek libntfs-3g.

%package static
Summary:	Static version of libntfs-3g library
Summary:	Statyczna wersja bibliotek libntfs-3g
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
This package contains the static version of libntfs-3g library

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję bibliotek libntfs-3g.

%prep
%setup -q 

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}

%configure \
	--disable-ldconfig

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# mount.ntfs-3g manpage fix
rm $RPM_BUILD_ROOT%{_mandir}/man8/mount.ntfs-3g.8
echo ".so ntfs-3g.8" > $RPM_BUILD_ROOT%{_mandir}/man8/mount.ntfs-3g.8

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CREDITS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/ntfs-3g
%attr(755,root,root) %{_sbindir}/mount.ntfs-3g
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_mandir}/man8/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/ntfs-3g

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ntfs-3g.spec,v $
Revision 1.37  2007/07/12 17:59:43  wolf
- 1.710

Revision 1.36  2007/06/17 14:07:36  wolf
- 1.616

Revision 1.35  2007/05/22 21:05:05  wolf
- 1.516

Revision 1.34  2007/04/16 12:24:24  wolvverine
- up to 1.417

Revision 1.33  2007/04/14 18:46:57  adamg
- manpage fix

Revision 1.32  2007/04/13 17:58:40  wolf
- 1.411-RC

Revision 1.31  2007/03/24 16:52:57  wolf
- 1.320-RC

Revision 1.30  2007/02/21 13:05:47  qboosh
- simplified prep

Revision 1.29  2007/02/21 12:30:13  wolf
- 1.0

Revision 1.28  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.27  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.26  2007/02/08 12:21:36  wolf
- 20070207

Revision 1.25  2007/01/18 15:57:39  wolf
- 20070118

Revision 1.24  2007/01/16 00:31:02  wolf
- 20070116

Revision 1.23  2007/01/03 03:36:36  wolf
- 20070102

Revision 1.22  2006/12/19 20:00:40  deejay1
- up to 20061218

Revision 1.21  2006/12/12 21:23:36  qboosh
- reverted, libselinux was mistaken libfuse dependency

Revision 1.20  2006/12/12 20:16:21  prism
- BR: libselinux-devel

Revision 1.19  2006/12/12 16:38:45  wolf
- 20061212

Revision 1.18  2006/11/15 16:31:10  wolf
- 0.20061115
- it requires fuse 2.6.0 kernel module

Revision 1.17  2006/11/05 13:47:40  glen
- package /sbin/mount.ntfs-3g for /etc/fstab; rel 2

Revision 1.16  2006/11/05 12:47:08  wolf
- 0.20061031

Revision 1.15  2006/11/05 12:12:34  glen
- update URL

Revision 1.14  2006/09/20 12:02:01  wolf
- 20070920

Revision 1.13  2006/09/11 14:05:36  wolf
- 20070910

Revision 1.12  2006/08/23 20:26:52  qboosh
- don't include autogenerated symlink

Revision 1.11  2006/08/21 23:28:10  wolf
- 20070822

Revision 1.10  2006/08/11 12:22:15  arekm
- drop wrong translation

Revision 1.9  2006/08/11 12:04:04  tommat
- updated to 20070811

Revision 1.8  2006/07/20 20:23:09  qboosh
- just typo fix, not whole pl

Revision 1.7  2006/07/20 20:22:43  qboosh
- pl typo

Revision 1.6  2006/07/16 15:30:50  shadzik
- rel fix

Revision 1.5  2006/07/16 15:20:39  darekr
- BR: ac,am,lt

Revision 1.4  2006/07/16 12:04:39  wolf
- fixes, fixes, fixes

Revision 1.3  2006/07/16 09:56:04  shadzik
- added rev, date and changelog
- adapterized
